<?php

declare(strict_types=1);

namespace Fbrinker\ExtensionCheck\Parser;

use Interop\Container\ContainerInterface;
use Laminas\ServiceManager\Factory\FactoryInterface;
use Symfony\Component\Finder\Finder;

class FileParserFactory implements FactoryInterface
{
    /**
    * @param array<mixed> $options
    */
    public function __invoke(ContainerInterface $container, $requestedName, array $options = null)
    {
        return new FileParser(
            new Finder()
        );
    }
}
